{% extends 'base.html' %}

{% block content %}
<h1 class="title">{% block title %} users {% endblock %}</h1>
<div class="content">
    {% for user in users %}
    <div class="user">
        <p><b>#{{ user.id }}</b></p>
        <b>
            <p class="name">
                <a href="{{ url_for('user', user_id=user.id)}}">
                    {{ user.firstname }} {{ user.lastname }}
                </a>
            </p>
        </b>
        <p>{{ user.email }}</p>
        <p>{{ user.age }} years old.</p>
        <p>Timestamp: {{ user.created_at }}</p>

        <a href="{{ url_for('edit', user_id=user.id) }}">Edit</a>

        <hr>
        <form method="POST" action="{{ url_for('delete', user_id=user.id) }}">
            <input type="submit" value="Delete user"
                onclick="return confirm('Are you sure you want to delete this user?')">
        </form>

    </div>
    {% endfor %}
</div>

<div style="padding: 10px;">
    <h1> Vulnerable Endpoints </h1>

    <ul>
        {% for url, testcase in testcases['vulnerable'] %}
        <li><a href="{{ url }}">{{ testcase }}</a></li>
        {% endfor %}
    </ul>
</div>

<div style="padding: 10px;">

    <h1> Safe Endpoints </h1>

    <ul>
        {% for url, testcase in testcases['safe'] %}
        <li><a href="{{ url }}">{{ testcase }}</a></li>
        {% endfor %}
    </ul>

</div>
{% endblock %}